Index: grade/edit/tree/outcomeitem.php
=========================================================
--- grade/edit/tree/outcomeitem.php	(revision 1.15.2.7)
+++ grade/edit/tree/outcomeitem.php	Thu Apr 16 09:31:42 CEST 2009
@@ -50,6 +50,8 @@
     redirect($returnurl);
 }
 
+$heading = get_string('outcomeitemsedit', 'grades');
+
 if ($grade_item = grade_item::fetch(array('id'=>$id, 'courseid'=>$courseid))) {
     // redirect if outcomeid present
     if (empty($grade_item->outcomeid)) {
@@ -69,6 +71,7 @@
     }
 
 } else {
+    $heading = get_string('newoutcomeitem', 'grades');
     $grade_item = new grade_item(array('courseid'=>$courseid, 'itemtype'=>'manual'), false);
     $item = $grade_item->get_record_data();
     $item->cmid = 0;
@@ -205,14 +208,7 @@
     redirect($returnurl);
 }
 
-$strgrades       = get_string('grades');
-$strgraderreport = get_string('graderreport', 'grades');
-$stroutcomesedit = get_string('outcomeitemsedit', 'grades');
-$stroutcome      = get_string('outcomeitem', 'grades');
-
-$navigation = grade_build_nav(__FILE__, $stroutcome, array('courseid' => $courseid));
-
-print_header_simple($strgrades . ': ' . $strgraderreport, ': ' . $stroutcomesedit, $navigation, '', '', true, '', navmenu($course));
+print_grade_page_head($courseid, 'edittree', null, $heading);
 
 if (!grade_outcome::fetch_all_available($COURSE->id)) {
     notice_yesno(get_string('nooutcomes', 'grades'), $CFG->wwwroot.'/grade/edit/outcome/course.php?id='.$courseid, $returnurl);
Index: grade/export/keymanager.php
=========================================================
--- grade/export/keymanager.php	(revision 1.2)
+++ grade/export/keymanager.php	Thu Apr 16 09:31:42 CEST 2009
@@ -37,11 +37,7 @@
 
 require_capability('moodle/grade:export', $context);
 
-$strgrades = get_string('grades', 'grades');
-$navigation = grade_build_nav(__FILE__, null, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, '', '');
+print_grade_page_head($course->id, 'export', 'keymanager', get_string('keymanager', 'grades'));
 
 $stredit         = get_string('edit');
 $strdelete       = get_string('delete');
Index: grade/export/ods/index.php
=========================================================
--- grade/export/ods/index.php	(revision 1.27.2.1)
+++ grade/export/ods/index.php	Thu Apr 16 09:31:42 CEST 2009
@@ -39,13 +39,7 @@
 require_capability('moodle/grade:export', $context);
 require_capability('gradeexport/ods:view', $context);
 
-
-$strgrades = get_string('grades', 'grades');
-$actionstr = get_string('modulename', 'gradeexport_ods');
-$navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, 'export', 'ods');
+print_grade_page_head($COURSE->id, 'export', 'ods', get_string('exportto', 'grades') . ' ' . get_string('modulename', 'gradeexport_ods'));
 
 if (!empty($CFG->gradepublishing)) {
     $CFG->gradepublishing = has_capability('gradeexport/ods:publish', $context);
Index: grade/export/txt/index.php
=========================================================
--- grade/export/txt/index.php	(revision 1.31.2.1)
+++ grade/export/txt/index.php	Thu Apr 16 09:31:42 CEST 2009
@@ -39,13 +39,7 @@
 require_capability('moodle/grade:export', $context);
 require_capability('gradeexport/txt:view', $context);
 
-
-$strgrades = get_string('grades', 'grades');
-$actionstr = get_string('modulename', 'gradeexport_txt');
-$navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, 'export', 'txt');
+print_grade_page_head($COURSE->id, 'export', 'txt', get_string('exportto', 'grades') . ' ' . get_string('modulename', 'gradeexport_txt'));
 
 if (!empty($CFG->gradepublishing)) {
     $CFG->gradepublishing = has_capability('gradeexport/txt:publish', $context);
Index: grade/export/xls/index.php
=========================================================
--- grade/export/xls/index.php	(revision 1.26.2.1)
+++ grade/export/xls/index.php	Thu Apr 16 09:31:42 CEST 2009
@@ -39,13 +39,7 @@
 require_capability('moodle/grade:export', $context);
 require_capability('gradeexport/xls:view', $context);
 
-
-$strgrades = get_string('grades', 'grades');
-$actionstr = get_string('modulename', 'gradeexport_xls');
-$navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, 'export', 'xls');
+print_grade_page_head($COURSE->id, 'export', 'xls', get_string('exportto', 'grades') . ' ' . get_string('modulename', 'gradeexport_xls'));
 
 if (!empty($CFG->gradepublishing)) {
     $CFG->gradepublishing = has_capability('gradeexport/xls:publish', $context);
Index: grade/export/xml/index.php
=========================================================
--- grade/export/xml/index.php	(revision 1.35.2.2)
+++ grade/export/xml/index.php	Thu Apr 16 09:31:42 CEST 2009
@@ -39,13 +39,7 @@
 require_capability('moodle/grade:export', $context);
 require_capability('gradeexport/xml:view', $context);
 
-
-$strgrades = get_string('grades', 'grades');
-$actionstr = get_string('modulename', 'gradeexport_xml');
-$navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, 'export', 'xml');
+print_grade_page_head($COURSE->id, 'export', 'xml', get_string('exportto', 'grades') . ' ' . get_string('modulename', 'gradeexport_xml'));
 
 if (!empty($CFG->gradepublishing)) {
     $CFG->gradepublishing = has_capability('gradeexport/xml:publish', $context);
Index: grade/import/csv/index.php
=========================================================
--- grade/import/csv/index.php	(revision 1.31.2.7)
+++ grade/import/csv/index.php	Thu Apr 16 09:31:42 CEST 2009
@@ -61,12 +61,8 @@
     $csv_encode = '/\&\#44/';
 }
 
-$strgrades = get_string('grades', 'grades');
 $actionstr = get_string('csv', 'grades');
-$navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, 'import', 'csv');
+print_grade_page_head($course->id, 'import', 'csv');
 
 // set up import form
 $mform = new grade_import_form(null, array('includeseparator'=>!isset($CFG->CSV_DELIMITER), 'verbosescales'=>true));
Index: grade/import/keymanager.php
=========================================================
--- grade/import/keymanager.php	(revision 1.1)
+++ grade/import/keymanager.php	Thu Apr 16 09:31:42 CEST 2009
@@ -37,11 +37,7 @@
 
 require_capability('moodle/grade:import', $context);
 
-$strgrades = get_string('grades', 'grades');
-$navigation = grade_build_nav(__FILE__, null, array('courseid' => $course->id));
-
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, '', '');
+print_grade_page_head($course->id, 'import', 'keymanager', get_string('keymanager', 'grades'));
 
 $stredit         = get_string('edit');
 $strdelete       = get_string('delete');
Index: grade/import/xml/import.php
=========================================================
--- grade/import/xml/import.php	(revision 1.3)
+++ grade/import/xml/import.php	Thu Apr 16 09:31:42 CEST 2009
@@ -71,12 +71,7 @@
         }
 
     } else {
-        $strgrades = get_string('grades', 'grades');
-        $actionstr = get_string('xml', 'grades');
-        $navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
-
-        print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-        print_grade_plugin_selector($id, 'import', 'xml');
+        print_grade_page_head($course->id, 'import', 'xml', get_string('importxml', 'grades'));
 
         grade_import_commit($id, $importcode, $feedback, true);
 
Index: grade/import/xml/index.php
=========================================================
--- grade/import/xml/index.php	(revision 1.21)
+++ grade/import/xml/index.php	Thu Apr 16 09:31:42 CEST 2009
@@ -41,7 +41,6 @@
 // print header
 $strgrades = get_string('grades', 'grades');
 $actionstr = get_string('modulename', 'gradeimport_xml');
-$navigation = grade_build_nav(__FILE__, $actionstr, array('courseid' => $course->id));
 
 if (!empty($CFG->gradepublishing)) {
     $CFG->gradepublishing = has_capability('gradeimport/xml:publish', $context);
@@ -60,8 +59,8 @@
     }
 
     if ($text = $mform->get_file_content('userfile')) {
-        print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-        print_grade_plugin_selector($id, 'import', 'xml');
+
+        print_grade_page_head($COURSE->id, 'import', 'xml', get_string('importxml', 'grades'));
 
         $error = '';
         $importcode = import_xml_grades($text, $course, $error);
@@ -84,8 +83,7 @@
             $data->key = create_user_key('grade/import', $USER->id, $course->id, $data->iprestriction, $data->validuntil);
         }
 
-        print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-        print_grade_plugin_selector($id, 'import', 'xml');
+        print_grade_page_head($COURSE->id, 'import', 'xml', get_string('importxml', 'grades'));
 
         echo '<div class="gradeexportlink">';
         $link = $CFG->wwwroot.'/grade/import/xml/fetch.php?id='.$id.'&amp;feedback='.(int)($data->feedback).'&amp;url='.urlencode($data->url).'&amp;key='.$data->key;
@@ -96,8 +94,7 @@
     }
 }
 
-print_header($course->shortname.': '.get_string('grades'), $course->fullname, $navigation);
-print_grade_plugin_selector($id, 'import', 'xml');
+print_grade_page_head($COURSE->id, 'import', 'xml', get_string('importxml', 'grades'));
 
 $mform->display();
 
